<%@include file="header.inc"%>
<%@page import="util.web.form.*"%>
<%!
	private static final String destFolder = "Uploaded";
	// Replace with your own relative or absolute path
	// '.' refers to Tomcat root installation directory
%>
<%
	// Receive the request according to the expected properties
	FormParams fp = new FormParams(request);
	
	// Checkbox is received only if checked
	boolean overwrite = fp.hasParam("overwrite");
	
	FormElement fe = fp.getParam("myFile");
%>
<%
	if (fe == null) {
%>
		<h1 class="error">Request does not contain expected element(s)</h1>
<%
	}
	else {
		int nb = fe.getNumberOfValues();
%>

		<h1>Retrieving elements from request</h1>
		
		
		<p>Number of values: <%= nb %></p>
<%
		if (!fe.isFile()) {
%>
		<p class="error">Parameter is not a file</p>
<%
		}
		else {
%>
		<p>Number of uploaded files: <%= nb %></p>
		<ul>
<%
			// Retrieve all uploaded files
			FormFileElement ffe = (FormFileElement)fe;
			for (FileElement elem : ffe) {
%>
			<li>Storing file "<%= elem.getFileName() %>" to "<%= destFolder %>"...
<%
				if (elem.copyTo(destFolder, true, overwrite)) {
%>
				<span class="success">Done.</span></li>
<%
				}
				else {
%>
				<span class="error">Already exists!</span></li>
<%
				}
			}
%>
		</ul>
<%
		}
	}

	fp.destroy();	// Removes temporary files
	// Only files uploaded by the current thread are deleted, thanks to the
	// "thread-safe" implementation of FormParams
%>
<%@include file="footer.inc"%>