<%@include file="header.inc"%>
<%@page
	import="util.web.form.error.*"
	isErrorPage="true"%>
<%--
Although the generic NamedConstraintException abstract class is used,
util.web.form.error package can be used to get the exact error class
--%>
<br/>
<h1 class="error"><%= exception.getClass().getName() %></h1>
<%
if (exception instanceof NamedConstraintException) {
	NamedConstraintException nce = (NamedConstraintException)exception;
%>
<p class="error">An error occured on form field <span class="teletype"><%= nce.getParamName() %></span>: <%= nce.getMessage() %></p>
<%
}
else if (exception instanceof FormValidationConstraintException) {
	FormValidationConstraintException fvce = (FormValidationConstraintException)exception;
	String[] fields = fvce.getParamNames();
%>
<p class="error">An error occured on form field<%
	if (fields.length > 1) {
%>s<%
	}
	
	int max = fields.length-1;
	for (int i=0; i<max; i++) {
%> <span class="teletype"><%= fields[i] %></span>,
<%
	}
	
	if (fields.length > 1) {
%>and
<%
	}
%>
	<span class="teletype"><%= fields[max] %></span>: <%= fvce.getMessage() %></p>
<%
}
else {
%>
<p class="error"><span class="teletype"><%= exception.getClass().getName() %></span>: <%= exception.getMessage() %></p>
<%
}
%>

<%@include file="footer.inc"%>