<%@include file="header.inc"%>
<%@page import="util.web.form.*"%>
<%
	FormParams fp = new FormParams(request);
	// Receives any kind of HTTP request method
	// Recevied parameters are not constrained
	
	// Note that empty fields (including non-selected radio and unchecked checkboxes)
	// are considered not received even when empty values are transmitted
	
	FormElement fe;
	
	String[] values = {"firstname", "lastname", "gender", "comment", "publish"};
%>
		<h1>Retrieving elements from request</h1>
<%
	FormDataElement fde;
	int j;
	for (String current : values) {		
		fe = fp.getParam(current);
		if (fe == null) {
%>
		<p class="warning">Request does not contain <%= current %></p>
<%
		}
		else {
%>
		<p>Retrieving <%= current %> from request:</p>
		<ul>
			<li>Number of values: <%= fe.getNumberOfValues() %></li>
<%
			if (fe.isFile()) {
%>
			<li>Parameter is file</li>
<%
			}
			else {
				j = 1;
				fde = (FormDataElement)fe;
				for (String val : fde) {
%>
			<li>Value <%= j %>: <%= val %></li>
<%
					j++;
				}
%>
		</ul>
<%
			}
		}
	}
	
	fp.destroy();
%>
<%@include file="footer.inc"%>